org.apache.ignite.internal.processors.cache

## Class PartitionMvccTxUpdateCounterImpl

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.PartitionTxUpdateCounterImpl
  - - org.apache.ignite.internal.processors.cache.PartitionMvccTxUpdateCounterImpl

All Implemented Interfaces:
  Iterable<long[]>, PartitionUpdateCounter

    public class PartitionMvccTxUpdateCounterImpl
    extends PartitionTxUpdateCounterImpl

Update counter implementation for MVCC mode.

### Field Summary

### Fields inherited from class org.apache.ignite.internal.processors.cache.PartitionTxUpdateCounterImpl

`MAX_MISSED_UPDATES, reserveCntr`

### Constructor Summary

Constructors
Constructor and Description
`PartitionMvccTxUpdateCounterImpl()`

### Method Summary

All Methods Instance Methods Concrete Methods
`long` `reserve(long delta)` Increment HWM by delta.
`long` `reserved()` Returns HWM.

### Methods inherited from class org.apache.ignite.internal.processors.cache.PartitionTxUpdateCounterImpl

`empty, equals, finalizeUpdateCounters, get, getBytes, highestAppliedCounter, init, initial, iterator, next, next, reset, sequential, toString, update, update, updateInitial`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.lang.Iterable

`forEach, spliterator`

### Constructor Detail

#### PartitionMvccTxUpdateCounterImpl

    public PartitionMvccTxUpdateCounterImpl()

### Method Detail

#### reserve

    public long reserve(long delta)

Increment HWM by delta.

Specified by:
  `reserve` in interface `PartitionUpdateCounter`
Overrides:
  `reserve` in class `PartitionTxUpdateCounterImpl`
Parameters:
  `delta` - Delta.
Returns:
  New HWM.

#### reserved

    public long reserved()

Returns HWM.

Specified by:
  `reserved` in interface `PartitionUpdateCounter`
Overrides:
  `reserved` in class `PartitionTxUpdateCounterImpl`
Returns:
  Current HWM.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.8.0
Release Date | : February 27 2020